using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsMeasureSchedulePoint {

        //검침계획 점검포인트
        [Display(Name = "현장고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "건물번호"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "설비코드"), Key]
        public int DeviceId { get; set; }
        [Display(Name = "검침계획번호"), Key]
        public int ScheduleId { get; set; }

        [ForeignKey("SiteId,BuildingId,DeviceId")]
        public virtual BemsDevice BemsDevice { get; set; }
        [ForeignKey("SiteId,ScheduleId")]
        public virtual BemsMeasureSchedule MeasureSchedule { get; set; }
    }
}
